>From 863589478ce185cba02e8ad5a4ff2a8b79588cb0 Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Thu, 8 May 2014 18:02:20 +0200
Subject: [PATCH 2/3] Remove overeager assertion in wal_level=logical specific
 code.

The assertion triggered when a relation was rewritten while
wal_level=logical but max_replication_slots=0 was set. That's not a
meaningful configuration, but that's not a excuse for crashing.
---
 src/backend/access/heap/rewriteheap.c | 2 --
 1 file changed, 2 deletions(-)

diff --git a/src/backend/access/heap/rewriteheap.c b/src/backend/access/heap/rewriteheap.c
index 7b57911..687e76e 100644
--- a/src/backend/access/heap/rewriteheap.c
+++ b/src/backend/access/heap/rewriteheap.c
@@ -812,8 +812,6 @@ logical_begin_heap_rewrite(RewriteState state)
 	if (!state->rs_logical_rewrite)
 		return;
 
-	Assert(ReplicationSlotCtl != NULL);
-
 	ProcArrayGetReplicationSlotXmin(NULL, &logical_xmin);
 
 	/*
-- 
1.8.5.rc2.dirty

